Subject: RE: Generial Editorial Comment

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Mon, 23 Sep 2002 12:47:30 -0400

Yakov,

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: Monday, September 23, 2002 12:30 PM
> To: Abarbanel, Benjamin
> Cc: 'Manav Bhatia'; [email-masked]
> Subject: Re: Generial Editorial Comment 
> 
> 
> Ben,
> 
> > IBGP by itself in most text implies the internal BGP 
> protocol, same applies
> > to EBGP. Therefore adding the word peer to it completes the intended
> > meaning.
> > 
> > on p. 4 "taking care not to lose BGP attributes that will 
> be needed by EBGP
> >          speakers ..."
> > 
> > on p. 4 "Care must be taken to ensure that the interior routers
> >          have all been updated with transit information 
> before the EBGP
> >          speakers announce ..."
> > 
> > on p. 4 "... BGP speakers within the AS maintain direct 
> IBGP connections
> > ..."
> > 
> > on p. 4 "... it is assumed that BGP information is passed 
> within an AS
> >          using IBGP." 
> 
> Here is the replacement text:
> 
>            A consistent view of the routes exterior to the AS can be
>    provided by having all BGP speakers within the AS maintain direct 
>    IBGP with each other. Alternately the IGP can pass BGP information
>    among routers within an AS, taking care not to lose BGP attributes 
>    that will be needed by BGP speakers for advertisements to external
>    peers if transit connectivity is being provided. For the purpose
>    of this document, it is assumed that BGP information is passed
>    within an AS using IBGP. Care must be taken to ensure that the
>    interior routers have all been updated with transit information
>    before the BGP speakers announce to other ASs that transit service
>    is being provided.
> 
> Yakov.
>

Overall paragraph sounds good to me.

Except one sentence does'nt sound right.

"Alternately the IGP can pass BGP information among routers within an AS,
 taking care not to lose BGP attributes". 

 Is it possible for IGP protocols (OSPF/ISIS) to carry such BGP attributes
as  
 "AS PATH", in their link state packets?

Ben

Thanks,
Ben

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 23 Sep 2002 10:00:09 -0700

Ben,

> as  "AS PATH", in their link state packets?

It is certainly possible, at least in *theory*, to define new TLVs to carry
BGP attributes in OSPF/ISIS. Whether doing this makes sense in *practice*
is a separate issue. I think it would be fair to say that we've yet to
see any empirical evidences that doing this would be any better than using 
IBGP. And it is certainly true that as of today neither ISIS nor OSPF
supports this capability.

So, with this in mind I think we should either (a) delete this sentence
altogether, or (b) replace it with the following:

  Alternately, at least in principle, the IGP (with appropriate
  extensions) can pass BGP information among routers within an AS,
  taking care not to lose BGP attributes. At the time of this writing
  none of the IGPs have this capability. Whether doing this would
  offer any practical benefits over using IBGP is outside the scope
  of this document.

Yakov.

---

From: Curtis Villamizar <[email-masked]>
Date: Mon, 23 Sep 2002 21:32:39 -0400

In message <[email-masked]>, 
>  "AS PATH", in their link state packets?

This kind of thing could be done by defining a new OSPF opaque LSA.
Back in 1993 or 1994 Dennis Fergusson proposed an OSPF LSA type 8 for
this purpose to offset the inadequacy of the rfc1745 use of OSPF tags
but the internet-draft expired.  Dennis later decided that it wasn't
such a good idea anyway as the number of BGP routes had grown
considerably since he made the proposal.

So the answer with existing IGPs excluding yet to be defined
extensions is "no".

> Ben

Curtis

---

From: Curtis Villamizar <[email-masked]>
Date: Mon, 23 Sep 2002 21:37:26 -0400

In message <[email-masked]>, Yakov Rekhter writes

Yakov,

That is a good replacement.

Curtis

ps - I found a copy of Dennis' draft "The OSPF External Attributes
LSA", dated March 1993, expired September 1993.  Nice nostalgia item.  :-)